List Job Share Links

Use this endpoint to list all Job Shares across all jobs that the input user has access to.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint returns a list of links to shared instances of a property's 3D model, scoped to the user ID passed in using the current_user_id parameter. The response body will include information for all job shares across the jobs that the specific user has access to.

Sample Response Body

{
    "job_shares": [
        {
            "id": 912885,
            "job_id": 5912637,
            "user_id": 1040102,
            "recipient_id": null,
            "token": "yfeyLHbGhoHJB2xMf6Do",
            "external_service": null,
            "external_identifier": null,
            "expired": false,
            "expires_at": "2023-03-06T18:50:32.317Z",
            "url": "https://hover.to/shared/yfoHJB2xMf6Do",
            "image_url": "https://hover.to/api/v1/job_shares/912885/image.png?share_token=yfeyLHMf6Do",
            "open_graph_url": "https://hover.to/shared/yfeyLHbGhoH",
            "street_address": "789 Hover Lane",
            "state": null
        },
        {
            "id": 951215,
            "job_id": 5912637,
            "user_id": 1040102,
            "recipient_id": null,
            "token": "AcxypzEBrKi1KPu_fWbr",
            "external_service": null,
            "external_identifier": null,
            "expired": false,
            "expires_at": "2023-04-24T21:16:41.101Z",
            "url": "https://hover.to/shared/ArKi1KPu_fWbr",
            "image_url": "https://hover.to/api/v1/job_shares/9512age.png?share_token=AcxypzEBrKi1KPu_fWbr",
            "open_graph_url": "https://hover.to/shared/AcxypzEBrKi1KPu_fWbr",
            "street_address": "789 Hover Lane",
            "state": null
        },
        {
            "id": 748880,
            "job_id": 5912638,
            "user_id": 1040102,
            "recipient_id": null,
            "token": "dxAC41tzPsD--8Asxu6a",
            "external_service": null,
            "external_identifier": null,
            "expired": false,
            "expires_at": "2022-05-26T15:07:29.954Z",
            "url": "https://hover.to/shaD--8Asxu6a",
            "image_url": "https://hover.to/api/v1/job_shares/748880/image.png?share_token=dxAC41tzPsD--8Asxu6a",
            "open_graph_url": "https://hover.to/shared/dxAC41tzPsD--8Asxu6a",
            "street_address": "456 Hover Way",
            "state": null
        }
    ],
    "meta": {
        "pagination": {
            "total": 3,
            "total_count": 3,
            "current_page": 1,
            "next_page": null,
            "prev_page": null,
            "total_pages": 1
        }
    }
}
Query Params
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!